Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network5.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
5.0.0.0
Broadcast address
5.255.255.255
First usable
5.0.0.1
Last usable
5.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 05000000 · Integer 83886080 to 100663295
Reverse DNS zone
5.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000101..00000000.00000000.000000005.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00000101..00000000.00000000.000000005.0.0.0
Broadcast00000101..11111111.11111111.111111115.255.255.255
Split into smaller subnets/17

5.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
15.0.0.0/175.0.0.1 to 5.0.127.2545.0.127.25532,766
25.0.128.0/175.0.128.1 to 5.0.255.2545.0.255.25532,766
35.1.0.0/175.1.0.1 to 5.1.127.2545.1.127.25532,766
45.1.128.0/175.1.128.1 to 5.1.255.2545.1.255.25532,766
55.2.0.0/175.2.0.1 to 5.2.127.2545.2.127.25532,766
65.2.128.0/175.2.128.1 to 5.2.255.2545.2.255.25532,766
75.3.0.0/175.3.0.1 to 5.3.127.2545.3.127.25532,766
85.3.128.0/175.3.128.1 to 5.3.255.2545.3.255.25532,766
95.4.0.0/175.4.0.1 to 5.4.127.2545.4.127.25532,766
105.4.128.0/175.4.128.1 to 5.4.255.2545.4.255.25532,766
115.5.0.0/175.5.0.1 to 5.5.127.2545.5.127.25532,766
125.5.128.0/175.5.128.1 to 5.5.255.2545.5.255.25532,766
135.6.0.0/175.6.0.1 to 5.6.127.2545.6.127.25532,766
145.6.128.0/175.6.128.1 to 5.6.255.2545.6.255.25532,766
155.7.0.0/175.7.0.1 to 5.7.127.2545.7.127.25532,766
165.7.128.0/175.7.128.1 to 5.7.255.2545.7.255.25532,766
175.8.0.0/175.8.0.1 to 5.8.127.2545.8.127.25532,766
185.8.128.0/175.8.128.1 to 5.8.255.2545.8.255.25532,766
195.9.0.0/175.9.0.1 to 5.9.127.2545.9.127.25532,766
205.9.128.0/175.9.128.1 to 5.9.255.2545.9.255.25532,766
215.10.0.0/175.10.0.1 to 5.10.127.2545.10.127.25532,766
225.10.128.0/175.10.128.1 to 5.10.255.2545.10.255.25532,766
235.11.0.0/175.11.0.1 to 5.11.127.2545.11.127.25532,766
245.11.128.0/175.11.128.1 to 5.11.255.2545.11.255.25532,766
255.12.0.0/175.12.0.1 to 5.12.127.2545.12.127.25532,766
265.12.128.0/175.12.128.1 to 5.12.255.2545.12.255.25532,766
275.13.0.0/175.13.0.1 to 5.13.127.2545.13.127.25532,766
285.13.128.0/175.13.128.1 to 5.13.255.2545.13.255.25532,766
295.14.0.0/175.14.0.1 to 5.14.127.2545.14.127.25532,766
305.14.128.0/175.14.128.1 to 5.14.255.2545.14.255.25532,766
315.15.0.0/175.15.0.1 to 5.15.127.2545.15.127.25532,766
325.15.128.0/175.15.128.1 to 5.15.255.2545.15.255.25532,766
335.16.0.0/175.16.0.1 to 5.16.127.2545.16.127.25532,766
345.16.128.0/175.16.128.1 to 5.16.255.2545.16.255.25532,766
355.17.0.0/175.17.0.1 to 5.17.127.2545.17.127.25532,766
365.17.128.0/175.17.128.1 to 5.17.255.2545.17.255.25532,766
375.18.0.0/175.18.0.1 to 5.18.127.2545.18.127.25532,766
385.18.128.0/175.18.128.1 to 5.18.255.2545.18.255.25532,766
395.19.0.0/175.19.0.1 to 5.19.127.2545.19.127.25532,766
405.19.128.0/175.19.128.1 to 5.19.255.2545.19.255.25532,766
415.20.0.0/175.20.0.1 to 5.20.127.2545.20.127.25532,766
425.20.128.0/175.20.128.1 to 5.20.255.2545.20.255.25532,766
435.21.0.0/175.21.0.1 to 5.21.127.2545.21.127.25532,766
445.21.128.0/175.21.128.1 to 5.21.255.2545.21.255.25532,766
455.22.0.0/175.22.0.1 to 5.22.127.2545.22.127.25532,766
465.22.128.0/175.22.128.1 to 5.22.255.2545.22.255.25532,766
475.23.0.0/175.23.0.1 to 5.23.127.2545.23.127.25532,766
485.23.128.0/175.23.128.1 to 5.23.255.2545.23.255.25532,766
495.24.0.0/175.24.0.1 to 5.24.127.2545.24.127.25532,766
505.24.128.0/175.24.128.1 to 5.24.255.2545.24.255.25532,766
515.25.0.0/175.25.0.1 to 5.25.127.2545.25.127.25532,766
525.25.128.0/175.25.128.1 to 5.25.255.2545.25.255.25532,766
535.26.0.0/175.26.0.1 to 5.26.127.2545.26.127.25532,766
545.26.128.0/175.26.128.1 to 5.26.255.2545.26.255.25532,766
555.27.0.0/175.27.0.1 to 5.27.127.2545.27.127.25532,766
565.27.128.0/175.27.128.1 to 5.27.255.2545.27.255.25532,766
575.28.0.0/175.28.0.1 to 5.28.127.2545.28.127.25532,766
585.28.128.0/175.28.128.1 to 5.28.255.2545.28.255.25532,766
595.29.0.0/175.29.0.1 to 5.29.127.2545.29.127.25532,766
605.29.128.0/175.29.128.1 to 5.29.255.2545.29.255.25532,766
615.30.0.0/175.30.0.1 to 5.30.127.2545.30.127.25532,766
625.30.128.0/175.30.128.1 to 5.30.255.2545.30.255.25532,766
635.31.0.0/175.31.0.1 to 5.31.127.2545.31.127.25532,766
645.31.128.0/175.31.128.1 to 5.31.255.2545.31.255.25532,766
655.32.0.0/175.32.0.1 to 5.32.127.2545.32.127.25532,766
665.32.128.0/175.32.128.1 to 5.32.255.2545.32.255.25532,766
675.33.0.0/175.33.0.1 to 5.33.127.2545.33.127.25532,766
685.33.128.0/175.33.128.1 to 5.33.255.2545.33.255.25532,766
695.34.0.0/175.34.0.1 to 5.34.127.2545.34.127.25532,766
705.34.128.0/175.34.128.1 to 5.34.255.2545.34.255.25532,766
715.35.0.0/175.35.0.1 to 5.35.127.2545.35.127.25532,766
725.35.128.0/175.35.128.1 to 5.35.255.2545.35.255.25532,766
735.36.0.0/175.36.0.1 to 5.36.127.2545.36.127.25532,766
745.36.128.0/175.36.128.1 to 5.36.255.2545.36.255.25532,766
755.37.0.0/175.37.0.1 to 5.37.127.2545.37.127.25532,766
765.37.128.0/175.37.128.1 to 5.37.255.2545.37.255.25532,766
775.38.0.0/175.38.0.1 to 5.38.127.2545.38.127.25532,766
785.38.128.0/175.38.128.1 to 5.38.255.2545.38.255.25532,766
795.39.0.0/175.39.0.1 to 5.39.127.2545.39.127.25532,766
805.39.128.0/175.39.128.1 to 5.39.255.2545.39.255.25532,766
815.40.0.0/175.40.0.1 to 5.40.127.2545.40.127.25532,766
825.40.128.0/175.40.128.1 to 5.40.255.2545.40.255.25532,766
835.41.0.0/175.41.0.1 to 5.41.127.2545.41.127.25532,766
845.41.128.0/175.41.128.1 to 5.41.255.2545.41.255.25532,766
855.42.0.0/175.42.0.1 to 5.42.127.2545.42.127.25532,766
865.42.128.0/175.42.128.1 to 5.42.255.2545.42.255.25532,766
875.43.0.0/175.43.0.1 to 5.43.127.2545.43.127.25532,766
885.43.128.0/175.43.128.1 to 5.43.255.2545.43.255.25532,766
895.44.0.0/175.44.0.1 to 5.44.127.2545.44.127.25532,766
905.44.128.0/175.44.128.1 to 5.44.255.2545.44.255.25532,766
915.45.0.0/175.45.0.1 to 5.45.127.2545.45.127.25532,766
925.45.128.0/175.45.128.1 to 5.45.255.2545.45.255.25532,766
935.46.0.0/175.46.0.1 to 5.46.127.2545.46.127.25532,766
945.46.128.0/175.46.128.1 to 5.46.255.2545.46.255.25532,766
955.47.0.0/175.47.0.1 to 5.47.127.2545.47.127.25532,766
965.47.128.0/175.47.128.1 to 5.47.255.2545.47.255.25532,766
975.48.0.0/175.48.0.1 to 5.48.127.2545.48.127.25532,766
985.48.128.0/175.48.128.1 to 5.48.255.2545.48.255.25532,766
995.49.0.0/175.49.0.1 to 5.49.127.2545.49.127.25532,766
1005.49.128.0/175.49.128.1 to 5.49.255.2545.49.255.25532,766
1015.50.0.0/175.50.0.1 to 5.50.127.2545.50.127.25532,766
1025.50.128.0/175.50.128.1 to 5.50.255.2545.50.255.25532,766
1035.51.0.0/175.51.0.1 to 5.51.127.2545.51.127.25532,766
1045.51.128.0/175.51.128.1 to 5.51.255.2545.51.255.25532,766
1055.52.0.0/175.52.0.1 to 5.52.127.2545.52.127.25532,766
1065.52.128.0/175.52.128.1 to 5.52.255.2545.52.255.25532,766
1075.53.0.0/175.53.0.1 to 5.53.127.2545.53.127.25532,766
1085.53.128.0/175.53.128.1 to 5.53.255.2545.53.255.25532,766
1095.54.0.0/175.54.0.1 to 5.54.127.2545.54.127.25532,766
1105.54.128.0/175.54.128.1 to 5.54.255.2545.54.255.25532,766
1115.55.0.0/175.55.0.1 to 5.55.127.2545.55.127.25532,766
1125.55.128.0/175.55.128.1 to 5.55.255.2545.55.255.25532,766
1135.56.0.0/175.56.0.1 to 5.56.127.2545.56.127.25532,766
1145.56.128.0/175.56.128.1 to 5.56.255.2545.56.255.25532,766
1155.57.0.0/175.57.0.1 to 5.57.127.2545.57.127.25532,766
1165.57.128.0/175.57.128.1 to 5.57.255.2545.57.255.25532,766
1175.58.0.0/175.58.0.1 to 5.58.127.2545.58.127.25532,766
1185.58.128.0/175.58.128.1 to 5.58.255.2545.58.255.25532,766
1195.59.0.0/175.59.0.1 to 5.59.127.2545.59.127.25532,766
1205.59.128.0/175.59.128.1 to 5.59.255.2545.59.255.25532,766
1215.60.0.0/175.60.0.1 to 5.60.127.2545.60.127.25532,766
1225.60.128.0/175.60.128.1 to 5.60.255.2545.60.255.25532,766
1235.61.0.0/175.61.0.1 to 5.61.127.2545.61.127.25532,766
1245.61.128.0/175.61.128.1 to 5.61.255.2545.61.255.25532,766
1255.62.0.0/175.62.0.1 to 5.62.127.2545.62.127.25532,766
1265.62.128.0/175.62.128.1 to 5.62.255.2545.62.255.25532,766
1275.63.0.0/175.63.0.1 to 5.63.127.2545.63.127.25532,766
1285.63.128.0/175.63.128.1 to 5.63.255.2545.63.255.25532,766
1295.64.0.0/175.64.0.1 to 5.64.127.2545.64.127.25532,766
1305.64.128.0/175.64.128.1 to 5.64.255.2545.64.255.25532,766
1315.65.0.0/175.65.0.1 to 5.65.127.2545.65.127.25532,766
1325.65.128.0/175.65.128.1 to 5.65.255.2545.65.255.25532,766
1335.66.0.0/175.66.0.1 to 5.66.127.2545.66.127.25532,766
1345.66.128.0/175.66.128.1 to 5.66.255.2545.66.255.25532,766
1355.67.0.0/175.67.0.1 to 5.67.127.2545.67.127.25532,766
1365.67.128.0/175.67.128.1 to 5.67.255.2545.67.255.25532,766
1375.68.0.0/175.68.0.1 to 5.68.127.2545.68.127.25532,766
1385.68.128.0/175.68.128.1 to 5.68.255.2545.68.255.25532,766
1395.69.0.0/175.69.0.1 to 5.69.127.2545.69.127.25532,766
1405.69.128.0/175.69.128.1 to 5.69.255.2545.69.255.25532,766
1415.70.0.0/175.70.0.1 to 5.70.127.2545.70.127.25532,766
1425.70.128.0/175.70.128.1 to 5.70.255.2545.70.255.25532,766
1435.71.0.0/175.71.0.1 to 5.71.127.2545.71.127.25532,766
1445.71.128.0/175.71.128.1 to 5.71.255.2545.71.255.25532,766
1455.72.0.0/175.72.0.1 to 5.72.127.2545.72.127.25532,766
1465.72.128.0/175.72.128.1 to 5.72.255.2545.72.255.25532,766
1475.73.0.0/175.73.0.1 to 5.73.127.2545.73.127.25532,766
1485.73.128.0/175.73.128.1 to 5.73.255.2545.73.255.25532,766
1495.74.0.0/175.74.0.1 to 5.74.127.2545.74.127.25532,766
1505.74.128.0/175.74.128.1 to 5.74.255.2545.74.255.25532,766
1515.75.0.0/175.75.0.1 to 5.75.127.2545.75.127.25532,766
1525.75.128.0/175.75.128.1 to 5.75.255.2545.75.255.25532,766
1535.76.0.0/175.76.0.1 to 5.76.127.2545.76.127.25532,766
1545.76.128.0/175.76.128.1 to 5.76.255.2545.76.255.25532,766
1555.77.0.0/175.77.0.1 to 5.77.127.2545.77.127.25532,766
1565.77.128.0/175.77.128.1 to 5.77.255.2545.77.255.25532,766
1575.78.0.0/175.78.0.1 to 5.78.127.2545.78.127.25532,766
1585.78.128.0/175.78.128.1 to 5.78.255.2545.78.255.25532,766
1595.79.0.0/175.79.0.1 to 5.79.127.2545.79.127.25532,766
1605.79.128.0/175.79.128.1 to 5.79.255.2545.79.255.25532,766
1615.80.0.0/175.80.0.1 to 5.80.127.2545.80.127.25532,766
1625.80.128.0/175.80.128.1 to 5.80.255.2545.80.255.25532,766
1635.81.0.0/175.81.0.1 to 5.81.127.2545.81.127.25532,766
1645.81.128.0/175.81.128.1 to 5.81.255.2545.81.255.25532,766
1655.82.0.0/175.82.0.1 to 5.82.127.2545.82.127.25532,766
1665.82.128.0/175.82.128.1 to 5.82.255.2545.82.255.25532,766
1675.83.0.0/175.83.0.1 to 5.83.127.2545.83.127.25532,766
1685.83.128.0/175.83.128.1 to 5.83.255.2545.83.255.25532,766
1695.84.0.0/175.84.0.1 to 5.84.127.2545.84.127.25532,766
1705.84.128.0/175.84.128.1 to 5.84.255.2545.84.255.25532,766
1715.85.0.0/175.85.0.1 to 5.85.127.2545.85.127.25532,766
1725.85.128.0/175.85.128.1 to 5.85.255.2545.85.255.25532,766
1735.86.0.0/175.86.0.1 to 5.86.127.2545.86.127.25532,766
1745.86.128.0/175.86.128.1 to 5.86.255.2545.86.255.25532,766
1755.87.0.0/175.87.0.1 to 5.87.127.2545.87.127.25532,766
1765.87.128.0/175.87.128.1 to 5.87.255.2545.87.255.25532,766
1775.88.0.0/175.88.0.1 to 5.88.127.2545.88.127.25532,766
1785.88.128.0/175.88.128.1 to 5.88.255.2545.88.255.25532,766
1795.89.0.0/175.89.0.1 to 5.89.127.2545.89.127.25532,766
1805.89.128.0/175.89.128.1 to 5.89.255.2545.89.255.25532,766
1815.90.0.0/175.90.0.1 to 5.90.127.2545.90.127.25532,766
1825.90.128.0/175.90.128.1 to 5.90.255.2545.90.255.25532,766
1835.91.0.0/175.91.0.1 to 5.91.127.2545.91.127.25532,766
1845.91.128.0/175.91.128.1 to 5.91.255.2545.91.255.25532,766
1855.92.0.0/175.92.0.1 to 5.92.127.2545.92.127.25532,766
1865.92.128.0/175.92.128.1 to 5.92.255.2545.92.255.25532,766
1875.93.0.0/175.93.0.1 to 5.93.127.2545.93.127.25532,766
1885.93.128.0/175.93.128.1 to 5.93.255.2545.93.255.25532,766
1895.94.0.0/175.94.0.1 to 5.94.127.2545.94.127.25532,766
1905.94.128.0/175.94.128.1 to 5.94.255.2545.94.255.25532,766
1915.95.0.0/175.95.0.1 to 5.95.127.2545.95.127.25532,766
1925.95.128.0/175.95.128.1 to 5.95.255.2545.95.255.25532,766
1935.96.0.0/175.96.0.1 to 5.96.127.2545.96.127.25532,766
1945.96.128.0/175.96.128.1 to 5.96.255.2545.96.255.25532,766
1955.97.0.0/175.97.0.1 to 5.97.127.2545.97.127.25532,766
1965.97.128.0/175.97.128.1 to 5.97.255.2545.97.255.25532,766
1975.98.0.0/175.98.0.1 to 5.98.127.2545.98.127.25532,766
1985.98.128.0/175.98.128.1 to 5.98.255.2545.98.255.25532,766
1995.99.0.0/175.99.0.1 to 5.99.127.2545.99.127.25532,766
2005.99.128.0/175.99.128.1 to 5.99.255.2545.99.255.25532,766
2015.100.0.0/175.100.0.1 to 5.100.127.2545.100.127.25532,766
2025.100.128.0/175.100.128.1 to 5.100.255.2545.100.255.25532,766
2035.101.0.0/175.101.0.1 to 5.101.127.2545.101.127.25532,766
2045.101.128.0/175.101.128.1 to 5.101.255.2545.101.255.25532,766
2055.102.0.0/175.102.0.1 to 5.102.127.2545.102.127.25532,766
2065.102.128.0/175.102.128.1 to 5.102.255.2545.102.255.25532,766
2075.103.0.0/175.103.0.1 to 5.103.127.2545.103.127.25532,766
2085.103.128.0/175.103.128.1 to 5.103.255.2545.103.255.25532,766
2095.104.0.0/175.104.0.1 to 5.104.127.2545.104.127.25532,766
2105.104.128.0/175.104.128.1 to 5.104.255.2545.104.255.25532,766
2115.105.0.0/175.105.0.1 to 5.105.127.2545.105.127.25532,766
2125.105.128.0/175.105.128.1 to 5.105.255.2545.105.255.25532,766
2135.106.0.0/175.106.0.1 to 5.106.127.2545.106.127.25532,766
2145.106.128.0/175.106.128.1 to 5.106.255.2545.106.255.25532,766
2155.107.0.0/175.107.0.1 to 5.107.127.2545.107.127.25532,766
2165.107.128.0/175.107.128.1 to 5.107.255.2545.107.255.25532,766
2175.108.0.0/175.108.0.1 to 5.108.127.2545.108.127.25532,766
2185.108.128.0/175.108.128.1 to 5.108.255.2545.108.255.25532,766
2195.109.0.0/175.109.0.1 to 5.109.127.2545.109.127.25532,766
2205.109.128.0/175.109.128.1 to 5.109.255.2545.109.255.25532,766
2215.110.0.0/175.110.0.1 to 5.110.127.2545.110.127.25532,766
2225.110.128.0/175.110.128.1 to 5.110.255.2545.110.255.25532,766
2235.111.0.0/175.111.0.1 to 5.111.127.2545.111.127.25532,766
2245.111.128.0/175.111.128.1 to 5.111.255.2545.111.255.25532,766
2255.112.0.0/175.112.0.1 to 5.112.127.2545.112.127.25532,766
2265.112.128.0/175.112.128.1 to 5.112.255.2545.112.255.25532,766
2275.113.0.0/175.113.0.1 to 5.113.127.2545.113.127.25532,766
2285.113.128.0/175.113.128.1 to 5.113.255.2545.113.255.25532,766
2295.114.0.0/175.114.0.1 to 5.114.127.2545.114.127.25532,766
2305.114.128.0/175.114.128.1 to 5.114.255.2545.114.255.25532,766
2315.115.0.0/175.115.0.1 to 5.115.127.2545.115.127.25532,766
2325.115.128.0/175.115.128.1 to 5.115.255.2545.115.255.25532,766
2335.116.0.0/175.116.0.1 to 5.116.127.2545.116.127.25532,766
2345.116.128.0/175.116.128.1 to 5.116.255.2545.116.255.25532,766
2355.117.0.0/175.117.0.1 to 5.117.127.2545.117.127.25532,766
2365.117.128.0/175.117.128.1 to 5.117.255.2545.117.255.25532,766
2375.118.0.0/175.118.0.1 to 5.118.127.2545.118.127.25532,766
2385.118.128.0/175.118.128.1 to 5.118.255.2545.118.255.25532,766
2395.119.0.0/175.119.0.1 to 5.119.127.2545.119.127.25532,766
2405.119.128.0/175.119.128.1 to 5.119.255.2545.119.255.25532,766
2415.120.0.0/175.120.0.1 to 5.120.127.2545.120.127.25532,766
2425.120.128.0/175.120.128.1 to 5.120.255.2545.120.255.25532,766
2435.121.0.0/175.121.0.1 to 5.121.127.2545.121.127.25532,766
2445.121.128.0/175.121.128.1 to 5.121.255.2545.121.255.25532,766
2455.122.0.0/175.122.0.1 to 5.122.127.2545.122.127.25532,766
2465.122.128.0/175.122.128.1 to 5.122.255.2545.122.255.25532,766
2475.123.0.0/175.123.0.1 to 5.123.127.2545.123.127.25532,766
2485.123.128.0/175.123.128.1 to 5.123.255.2545.123.255.25532,766
2495.124.0.0/175.124.0.1 to 5.124.127.2545.124.127.25532,766
2505.124.128.0/175.124.128.1 to 5.124.255.2545.124.255.25532,766
2515.125.0.0/175.125.0.1 to 5.125.127.2545.125.127.25532,766
2525.125.128.0/175.125.128.1 to 5.125.255.2545.125.255.25532,766
2535.126.0.0/175.126.0.1 to 5.126.127.2545.126.127.25532,766
2545.126.128.0/175.126.128.1 to 5.126.255.2545.126.255.25532,766
2555.127.0.0/175.127.0.1 to 5.127.127.2545.127.127.25532,766
2565.127.128.0/175.127.128.1 to 5.127.255.2545.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses